import * as React from 'react';
import { pie, arc, interpolateRgb } from 'd3';
import { Slice } from './Slice';
import { Check } from './Check';

const data = [1, 2, 3, 4];

const height = 500;
const width = 960;

const innerRadius = 180;
const outerRadius = height / 2;

export const SimplePieChart = () => {
  let pie = d3.pie()(data);
  return (
    <svg height={height} width={width}>
      <g
        transform={`translate(${width / 2},${height / 2})`}
      >
        <Slice
          pie={pie}
          outerRadius={outerRadius}
          innerRadius={innerRadius}
        />
      </g>
      {/* <Check/> */}
    </svg>
  );
};
